{{- if .Values.cloudflare.enabled }}
---
apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.cloudflare.secretName }}
  namespace: {{ .Values.cloudflare.namespace }}
  labels:
    {{- include "cert-manager-stack.labels" . | nindent 4 }}
    app.kubernetes.io/component: dns-solver
  annotations:
    argocd.argoproj.io/sync-wave: "1"
type: Opaque
stringData:
  {{ .Values.cloudflare.secretKey }}: {{ .Values.cloudflare.apiToken | quote }}
{{- end }}
